package com.otakurzo.models
{
	import flash.events.TimerEvent;
	import flash.utils.Timer;
	
	import mx.collections.ArrayCollection;
	
	[Bindable]
	public class UserModel
	{
		public var acList:ArrayCollection = new ArrayCollection();
		
		//-- loadData(); sumilará el tiempo de respuesta de un servidor en 1.5 segundos
		private var _timer:Timer;
		public function loadData():void
		{
			_timer = new Timer(1500,1);
			_timer.addEventListener(TimerEvent.TIMER_COMPLETE,onTimerComplete,false,0,true);
			_timer.start();
		}
		private function onTimerComplete(e:TimerEvent):void
		{
			// Removemos el evento, lo detenemos y destruimos el Timer
			_timer.removeEventListener(TimerEvent.TIMER_COMPLETE,onTimerComplete);
			_timer.stop();
			_timer = null;
			// --
			
			acList.source = new Array('Otaku RzO','Eldervaz','Elecash','Zguillez','Xklibur','Fernando','eParada','Freddier');
		}
		//--
		
		//-- Singleton
		private static var _instance:UserModel=null;
        public function UserModel(e:Enforcer){
            trace('new instance of UserModel created');
        }
        public static function getInstance():UserModel{
            if(_instance==null){
                _instance=new UserModel(new Enforcer());
            }
            return _instance;
        }
        //--
	}
}
class Enforcer{}